Subject: Re: bug#10190: eventp can give incorrect results (subr.el), Emacs 23 and 24

From: Christopher Genovese <[email-masked]>
Date: Fri, 2 Dec 2011 10:17:37 -0500

>
> > Neither of these seems like desirable behaviors.
>
> I tend to agree.  But I'm also curious in which circumstance did you
> bump into this problem.
>

I'm finishing up a package to give easy and flexible management of imports
during initialization, and in using the package, I had a function that made
some settings
based on a user-specified help character or event.  Failures showed up in
the test cases that used more obscure events like M-S-f5,
and the nil eventp caused unexpected behavior. (I've since changed
my approach.)

> My own impression is that the patch below would be an improvement, but
> I'd rather keep it for after 24.1.
>

That sounds reasonable to me.  It's not a critical issue.

Thanks for your help.

  -- Chris